Package org.apache.solr.client.solrj.request.beans

## Class V2ApiConstants

- java.lang.Object
- - org.apache.solr.client.solrj.request.beans.V2ApiConstants

    public class V2ApiConstants
    extends Object

### Field Summary

Fields
`static String` `COLLECTIONS` The collections to be included in an alias.
`static String` `CONFIG` Parameter name for the configset used by a collection
`static String` `CREATE_COLLECTION_KEY` Parent key for v2 params used to create a collection.
`static String` `NODE_SET` The set of nodes to consider as potential locations for a new collection or its constituent components.
`static String` `PROPERTIES_KEY` Parent key for collection or alias properties to set.
`static String` `ROUTER_KEY` Parent key holding alias-router parameters.
`static String` `SHARD_NAMES` Parameter for explicitly providing a name for each shard during collection creation.
`static String` `SHUFFLE_NODES` Property controlling whether 'nodeSet' should be shuffled before use.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROPERTIES_KEY

    public static final String PROPERTIES_KEY

Parent key for collection or alias properties to set.

See Also:
  Constant Field Values

#### CREATE_COLLECTION_KEY

    public static final String CREATE_COLLECTION_KEY

Parent key for v2 params used to create a collection.

See Also:
  Constant Field Values

#### ROUTER_KEY

    public static final String ROUTER_KEY

Parent key holding alias-router parameters.

See Also:
  Constant Field Values

#### CONFIG

    public static final String CONFIG

Parameter name for the configset used by a collection

See Also:
  Constant Field Values

#### SHARD_NAMES

    public static final String SHARD_NAMES

Parameter for explicitly providing a name for each shard during collection creation.

See Also:
  Constant Field Values

#### SHUFFLE_NODES

    public static final String SHUFFLE_NODES

Property controlling whether 'nodeSet' should be shuffled before use.

See Also:
  Constant Field Values

#### NODE_SET

    public static final String NODE_SET

The set of nodes to consider as potential locations for a new collection or its constituent components.

See Also:
  Constant Field Values

#### COLLECTIONS

    public static final String COLLECTIONS

The collections to be included in an alias.

See Also:
  Constant Field Values